<?php
/**
 * The Header Right Sidebar containing the header right widget area
 *
 * @package Catch Themes
 * @subpackage Clean Journal Pro
 * @since Clean Journal 1.0
 */
?>

<?php
/**
 * clean_journal_before_header_right hook
 */
do_action( 'clean_journal_before_header_right' ); ?>

<aside class="sidebar sidebar-header-right widget-area">
	<?php
	if ( has_nav_menu( 'header-right' ) ) {
	?>
		<section class="widget widget_nav_menu" id="header-right-menu-widget">
			<div class="widget-wrap">
		    	<nav class="nav-header-right" role="navigation">
		            <div class="wrapper">
		                <h3 class="assistive-text"><?php _e( 'Header Right Menu', 'clean-journal-pro' ); ?></h3>
		                <div class="screen-reader-text skip-link"><a href="#content" title="<?php esc_attr_e( 'Skip to content', 'clean-journal-pro' ); ?>"><?php _e( 'Skip to content', 'clean-journal-pro' ); ?></a></div>
		                <?php
		                    $clean_journal_header_right_menu_args = array(
		                        'theme_location'    => 'header-right',
		                        'menu_class' => 'menu clean-journal-nav-menu'
		                    );
		                    wp_nav_menu( $clean_journal_header_right_menu_args );
		                ?>
		        	</div><!-- .wrapper -->
		        </nav><!-- .nav-header-right -->
		   	</div>
		</section>
	<?php
	}

	//Header Right Widgets Sidebar
	if ( is_active_sidebar( 'header-right' ) ) {
	   	dynamic_sidebar( 'header-right' );
	}
	elseif ( !has_nav_menu( 'header-right' ) ) { ?>
		<section class="widget widget_search" id="header-right-search">
			<div class="widget-wrap">
				<?php echo get_search_form(); ?>
			</div>
		</section>
	<?php
   	}
	?>
</aside><!-- .sidebar .header-sidebar .widget-area -->

<?php
/**
 * clean_journal_after_header_right hook
 */
do_action( 'clean_journal_after_header_right' );